#
# Be sure to run `pod lib lint GMAILab.podspec' to ensure this is a
# valid spec before submitting.
#
# Any lines starting with a # are optional, but their use is encouraged
# To learn more about a Podspec see https://guides.cocoapods.org/syntax/podspec.html
#

Pod::Spec.new do |s|
  s.name             = 'GMAILab'
  s.version          = '1.0.0'
  s.summary          = 'A short description of GMAILab.'

# This description is used to generate tags and improve search results.
#   * Think: What does it do? Why did you write it? What is the focus?
#   * Try to keep it short, snappy and to the point.
#   * Write the description between the DESC delimiters below.
#   * Finally, don't worry about the indent, CocoaPods strips it!

  s.description      = <<-DESC
TODO: Add long description of the pod here.
                       DESC

  s.homepage         = 'http://git.wanmeizhensuo.com/gengmeiios/GMAILab'
  # s.screenshots     = 'www.example.com/screenshots_1', 'www.example.com/screenshots_2'
  s.license          = { :type => 'MIT', :file => 'LICENSE' }
  s.author           = { 'Q14' => 'qiaojinzhu@igengmei.com' }
  s.source           = { :git => 'http://git.wanmeizhensuo.com/gengmeiios/GMAILab.git', :tag => s.version.to_s }
  # s.social_media_url = 'https://twitter.com/<TWITTER_USERNAME>'

  s.ios.deployment_target = '9.0'

  s.source_files = 'GMAILab/Classes/**/*.{h,m}'
  
#  s.subspec 'Model' do |ss|
#    ss.source_files = 'GMAILab/Classes/Model/*.{h,m}'
#  end
#  
#  s.subspec 'Utils' do |ss|
#    ss.source_files = 'GMAILab/Classes/Utils/*.{h,m}'
#  end
#
#  s.subspec 'ViewModel' do |ss|
#    ss.source_files = 'GMAILab/Classes/ViewModel/*.{h,m}'
#  end
#  
#  s.subspec 'Controller' do |ss|
#    ss.source_files = 'GMAILab/Classes/Controller/*.{h,m}'
#    ss.dependency 'GMAILab/View'
#    ss.dependency 'GMAILab/ViewModel'
#    ss.dependency 'GMAILab/Utils'
#  end
#  
#  s.subspec 'View' do |ss|
#    ss.source_files = 'GMAILab/Classes/View/*.{h,m}'
#    ss.dependency 'GMAILab/ViewModel'
#  end
  
  s.resource_bundles = {
     'GMAILab' => ['GMAILab/Assets/*.{png,xib}']
  }

  # s.public_header_files = 'Pod/Classes/**/*.h'
  # s.frameworks = 'UIKit', 'MapKit'
  # s.dependency 'AFNetworking', '~> 2.3'
#  s.sta

  s.dependency 'GMBase'
  s.dependency 'GMKit'
  s.dependency 'GMFoundation'
  s.dependency 'GMNetService'
  s.dependency 'GMRefresh'
  s.dependency 'GMediator'
  s.dependency 'GMBaseSwift','3.4.0'
  s.dependency 'EVReflection', '5.10.0'
  s.dependency 'GMRouter'
  s.dependency 'lottie-ios', '2.5.2'
  s.dependency 'YYText'
  s.dependency 'GMShareSDK'
  s.dependency 'DouyinOpenSDK', '1.4.1'

   s.static_framework  =  true

end
